%define fname	httplib2

Name:		python-httplib2
Summary:	Python HTTP library module
Version:	0.9.2
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/h/httplib2/%{fname}-%{version}.tar.gz
Patch1:         %{name}.certfile.patch
Patch2:         %{name}.getCertHost.patch
Patch3:         %{name}.rfc2459.patch
Patch4:         %{name}-0.9-proxy-http.patch
Patch5:         %{name}-0.9-cve-2013-2037.patch
URL:		https://pypi.python.org/pypi/httplib2
Group:		Development/Python
License:	MIT
BuildArch:	noarch
BuildRequires:	python-setuptools
Requires:	rootcerts

%description
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%prep
%setup -q -n %{fname}-%{version}
%patch1 -p1 -b .certfile
%patch2 -p0 -b .getCertHost
%patch3 -p0 -b .rfc2459
%patch4 -p1
%patch5 -p1


%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot} --compile --optimize=2

%files
%{python2_sitelib}/*


%changelog
* Fri Dec 23 2016 adrianomorselli <adrianomorselli> 0.9.2-2uplos2016
- update
